[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

NumInstancesStop Class Reference

Random forest 'number of datapoints' stop criterion. More...

`#include <vigra/random_forest_3/random_forest_common.hxx>`

## Public Member Functions

| NumInstancesStop (size_t min_n)
| Constructor: terminate tree construction when node contains less than min_n instances.

## Detailed Description

Random forest 'number of datapoints' stop criterion.

Stop splitting a node when it contains too few instances or when it is pure.

The documentation for this class was generated from the following file:

- vigra/random_forest_3/random_forest_common.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.1